# GET Team by ID

### `GET` Team by ID

```
https://cricket.sportmonks.com/api/v2.0/teams/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url.         |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.             |

**Sort**

You can sort on all fields.

#### Include options

`country` `results` `fixtures` `squad`

{% hint style="info" %}
Note that for the squads include you need to add a season\_id filter to only get the squad for a certain season. If not provided it will returns all players that have ever played for the requested team. e.g. \&filter\[season\_id]=
{% endhint %}

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MTeYiIp3JNsC4Lao5Nm" %}
[Enriching your response](/v2/cricket-api/getting-started/enriching-your-response.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```javascript
https://cricket.sportmonks.com/api/v2.0/teams/47?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
   "data": {
        "resource": "teams",
        "id": 47,
        "name": "Adelaide Strikers",
        "code": "AS",
        "image_path": "https://cdn.sportmonks.com/images/cricket/teams/15/47.png",
        "country_id": 98,
        "national_team": false,
        "updated_at": "2019-12-19T12:26:02.000000Z"
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/teams-and-players/get-team-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
